# Package org.apache.lucene.queryparser.flexible.standard.parser

## Lucene Query Parser

The package org.apache.lucene.queryparser.flexible.standard.parser contains the query parser.

This text parser only performs the syntax validation and creates an QueryNode tree from a query string.

- Interface Summary
  Interface | Description
  --- | ---
  StandardSyntaxParserConstants | Token literal values and constants.

- Class Summary
  Class | Description
  --- | ---
  EscapeQuerySyntaxImpl | Implementation of `EscapeQuerySyntax` for the standard lucene syntax.
  StandardSyntaxParser | Parser for the standard Lucene syntax
  StandardSyntaxParserTokenManager | Token Manager.
  Token | Describes the input token stream.

- Exception Summary
  Exception | Description
  --- | ---
  ParseException | This exception is thrown when parse errors are encountered.

- Error Summary
  Error | Description
  --- | ---
  TokenMgrError | Token Manager Error.